Subject: bug#20433: Keyboard not working on laptop with guixSD

From: Jessica Tallon <[email-masked]>
Date: Sun, 26 Apr 2015 10:22:20 +0200

Hey,

I have tried GuixSD (the x86_64-linux image) on my Macbook Air 6,2
laptop. I unfortunately am not able to install it as my keyboard does
not function. I know i doesn't require propriatory blobs for it to work
as I have a trisquel live image and it works great on that.

It's an internal USB which shows up in lsusb as:

     Bus 001 Device 008: ID 05ac:828f Apple, Inc.

I have tried plugging in an external USB keyboard which works fine so I
don't think it's a driver issue. As I am not able to install it due to
this bug so I have not been able to test it with X as I don't believe
the GuixSD image on the GNU Distribution page provides the X server.

Thanks,
Jessica.